Debian Bug report logs - #292417
dialog: form item not shown if flen == 0

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Moritz Bunkus <moritz@bunkus.org>

Date: Wed, 26 Jan 2005 22:18:12 UTC

Severity: normal

Found in version 1.0-20050116-1

Fixed in version dialog/1.0-20050206-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#292417; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Moritz Bunkus <moritz@bunkus.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Bunkus <moritz@bunkus.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: form item not shown if flen == 0
Date: Wed, 26 Jan 2005 23:09:10 +0100
Package: dialog
Version: 1.0-20050116-1
Severity: normal

dialog's man page states the following for --form:

If flen is zero, the corresponding field cannot be altered.

The problem is that dialog does not display items with a flen of
0. Only the label is displayed. Example:

dialog --form test 20 60 0 \
  label 1 1 shortfield 1 10 0 0 \
  label2 2 1 whatever 2 10 10 10

This only shows "label" in the first line but not "shortfield". The
second line appears as expected.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-mh3
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages dialog depends on:
ii  debianutils                 2.8.3        Miscellaneous utilities specific t
ii  libc6                       2.3.2.ds1-16 GNU C Library: Shared libraries an
ii  libncursesw5                5.4-4        Shared libraries for terminal hand

-- no debconf information



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Bunkus <moritz@bunkus.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 292417-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 292417-close@bugs.debian.org
Subject: Bug#292417: fixed in dialog 1.0-20050206-1
Date: Mon, 07 Feb 2005 12:02:37 -0500
Source: dialog
Source-Version: 1.0-20050206-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20050206-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20050206-1.diff.gz
dialog_1.0-20050206-1.dsc
  to pool/main/d/dialog/dialog_1.0-20050206-1.dsc
dialog_1.0-20050206-1_i386.deb
  to pool/main/d/dialog/dialog_1.0-20050206-1_i386.deb
dialog_1.0-20050206.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20050206.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 292417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  7 Feb 2005 16:35:12 +0000
Source: dialog
Binary: dialog
Architecture: source i386
Version: 1.0-20050206-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 292417 292418
Changes: 
 dialog (1.0-20050206-1) unstable; urgency=low
 .
   * New upstream release.
   * The formbox widget now displays fields with flen==0 (Closes: #292417).
   * Clarified manpage about output from formbox widget (Closes: #292418).
Files: 
 3131ce7b3828d1d435c8e40c7c941eb6 593 misc optional dialog_1.0-20050206-1.dsc
 50f51f34e4ab36b9ce56dce98ea83afc 299742 misc optional dialog_1.0-20050206.orig.tar.gz
 028546c104dd930ebf2876f263000063 7764 misc optional dialog_1.0-20050206-1.diff.gz
 9591e9a737169e09b5c0920b4e16de23 186280 misc optional dialog_1.0-20050206-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCB5rnd9Uuvj7yPNYRAvEbAKDQjTsF22n0VXVf+GvsOcEE4gtzrwCfYWWc
eIdj4D9c+o+MMnp2R1YWyLU=
=aOWS
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:49:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.